Subject: bug#15454: 24.3.50; The profiler does not show me all the run functions?

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Sep 2013 18:21:50 -0400

>> The profiler is based on sampling, so it can definitely "miss" things,
>> especially if we don't spend much time in them.
> That's my experience, too.  Reducing profiler-sampling-interval usually
> helps, though.

It might.  But a sampling profiler is fundamentally not very well
adapted to the task.  `elp' or Edebug might be a better choice.

In this case, the better option is probably to M-x debug-on-entry RET
write-region RET, but of course, if you don't know that "writing a file"
goes (pretty much unavoidably) through write-region you won't come up
with this idea.

        Stefan